## Starten des X-Servers

### Verwendung

Auf Windows registriert das MaxDB-Installationsprogramm den X-Server als Dienst XServer, setzt den Startup Type für diesen Dienst auf Automatic und startet ihn. Sie müssen ihn nicht manuell starten.

Auf UNIX/Linux wird der X-Server nicht automatisch als Dienst installiert. Sie können den X-Server entweder in die entsprechenden Startskripten des Betriebssystems eintragen oder ihn bei Bedarf manuell starten. Nach dem Start läuft der X-Server als Prozess vserver im Hintergrund. Beim Starten des X-Servers wird automatisch ein spezieller Prozess für die Unterstützung des SAP-eigenen NI-Netzwerkprotokolls gestartet.

### Vorgehensweise

x_server [<options>] [start]

Optionen für den Aufruf des X-Servers

<option> | Erläuterung
-D <debugging_level> | Legt den Debugging-Level fest. Sie können Werte zwischen 0 (kein Schreiben von Debugging-Informationen) bis 9 (maximale Debugging-Informationen) angeben. Der Vorschlagswert ist 0.
-F | Wenn Sie diese Option setzen, dann ermittelt der X-Server den Rechnernamen der sich anmeldenden Anwendung nicht beim DNS-Server (kein reverse DNS lookup). Wenn der Verbindungsaufbau mit einer entfernten Datenbankinstanz ungewöhnlich lange dauert, dann starten Sie den X-Server mit dieser Option neu. Auf diese Weise können Sie herausfinden, ob Ihr DNS-Server die Ursache für den langsamen Verbindungsaufbau ist.
-S <port> | Nur für UNIX/Linux: weist dem X-Server einen anderen Port <port> zu. Als Vorschlagswert verwendet der X-Server Port 7210. Siehe Ports und Protokolle des X-Servers
-V | Zeigt die Version des X-Servers an.
-w | nur auf UNIX/Linux, nur in SAP-Systemen schränkt das Kommando auf die SAP NISSL-Verbindung ein
-W | nur auf UNIX/Linux, nur in SAP-Systemen unterdrückt die automatische Verwendung von SAP NISSL
-y | nur auf UNIX/Linux, nur in SAP-Systemen schränkt das Kommando auf die SAP NI-Verbindung ein
-Y | nur auf UNIX/Linux, nur in SAP-Systemen unterdrückt die automatische Verwendung von SAP NI und SSL
-Z <file_size> | Legt die Größe der Protokolldatei xserver_<computer_name>.prt in KB fest. computer_name ist der Name des Rechners, auf dem der X-Server läuft.